de.dhbwstuttgart.typeinference.unify

## Class CSet<E>

- java.lang.Object
- - de.dhbwstuttgart.typeinference.unify.CSet<E>

All Implemented Interfaces:
  java.lang.Iterable<E>

Direct Known Subclasses:
  CVectorSet

    public abstract class CSet<E>
    extends java.lang.Object
    implements java.lang.Iterable<E>

Version:
  $date
Author:
  Jrg Buerle

### Constructor Summary

Constructors
Constructor and Description
`CSet()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract void` `addElement(E element)`
`abstract boolean` `contains(E element)`
`abstract CSet<E>` `deepCopy()`
`abstract boolean` `equals(java.lang.Object obj)`
`abstract int` `getCardinality()`
`abstract java.util.Iterator<E>` `getIterator()`
`abstract void` `removeElement(E element)`
`abstract CSet<E>` `shallowCopy()`
`abstract void` `subtract(CSet<E> anotherSet)`
`java.lang.String` `toString()`
`abstract void` `unite(CSet<E> anotherSet)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, iterator, spliterator`

### Constructor Detail

#### CSet

    public CSet()

### Method Detail

#### addElement

    public abstract void addElement(E element)

#### removeElement

    public abstract void removeElement(E element)

#### unite

    public abstract void unite(CSet<E> anotherSet)

#### subtract

    public abstract void subtract(CSet<E> anotherSet)

#### shallowCopy

    public abstract CSet<E> shallowCopy()

#### deepCopy

    public abstract CSet<E> deepCopy()

#### contains

    public abstract boolean contains(E element)

#### getCardinality

    public abstract int getCardinality()

#### getIterator

    public abstract java.util.Iterator<E> getIterator()

#### equals

    public abstract boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`